Bug 2063775 (CVE-2022-0860) - CVE-2022-0860 cobbler: Improper Authorization in cobbler
Summary: CVE-2022-0860 cobbler: Improper Authorization in cobbler
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-0860
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2066592 2066593
Blocks: 2063777
TreeView+ depends on / blocked
 
Reported: 2022-03-14 11:15 UTC by TEJ RATHI
Modified: 2022-10-03 13:31 UTC (History)
8 users (show)

Fixed In Version: cobbler 3.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-22 10:31:12 UTC


Attachments (Terms of Use)

Description TEJ RATHI 2022-03-14 11:15:43 UTC
Improper Authorization in GitHub repository cobbler/cobbler prior to 3.3.2. When configuring cobbler-web to authenticate via PAM. The authorization of a account validity is missing. Therefore expired accounts can still login.

https://huntr.dev/bounties/c458b868-63df-414e-af10-47e3745caa1d
https://github.com/cobbler/cobbler/commit/9044aa990a94752fa5bd5a24051adde099280bfa

Comment 1 Sandipan Roy 2022-03-22 06:48:21 UTC
Created cobbler tracking bugs for this issue:

Affects: epel-all [bug 2066592]
Affects: fedora-all [bug 2066593]

Comment 2 Product Security DevOps Team 2022-03-22 10:31:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.